summaryrefslogtreecommitdiff
path: root/fonts/ps-type1/tt2001/debian/prerm
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /fonts/ps-type1/tt2001/debian/prerm
Initial commit
Diffstat (limited to 'fonts/ps-type1/tt2001/debian/prerm')
-rw-r--r--fonts/ps-type1/tt2001/debian/prerm27
1 files changed, 27 insertions, 0 deletions
diff --git a/fonts/ps-type1/tt2001/debian/prerm b/fonts/ps-type1/tt2001/debian/prerm
new file mode 100644
index 0000000000..4ac381a8a2
--- /dev/null
+++ b/fonts/ps-type1/tt2001/debian/prerm
@@ -0,0 +1,27 @@
+#! /bin/bash -e
+# by pts@fazekas.hu at Fri Jul 25 22:59:56 CEST 2003
+# Sun Dec 7 16:29:20 CET 2003
+# set -e : exit on first error
+#
+# Dat: prerm runs before unpack of replacement, postrm runs after it
+
+# Extract the .pfb files
+DIR=/usr/share/texmf/fonts/type1/public/tt2001
+if [ -d "$DIR" ]; then # for safety
+ cd "$DIR"
+ # fc -> te
+ # uc -> tu
+ # f* -> te
+ rm -f {te,tu,fa,fc,uc,fu,fy,fi,fm,fn,fs,ft}*.pfb tt2001.t1c
+ # ^^^ Dat: foo* maches `foo*' is no glob
+ # ^^^ Dat: *.t1c: fix a previous broken installation
+ # ^^^ Dat: safe to remove *.t1c, even with package update
+ cd /
+ rmdir "$DIR"
+fi
+
+# Dat: do not modify the config files of pdfTeX, dvipdfm and dvips now.
+# The user should install additional packages (e.g
+# pts-tetex-default-ec-tt2001 for that)
+
+mktexlsr